cwlVersion: v1.0
class: CommandLineTool
label: Screen for Targets against GTEx
doc: Identify significantly overexpressed genes when compared to normal tissue
  in GTEx
baseCommand:
  - /app/cli/pwb.sh
  - TargetRangerScreenTargets[GTEx_transcriptomics]
requirements:
  - class: DockerRequirement
    dockerImageId: maayanlab/playbook-partnership:0.73.1
inputs:
  inputs.input:
    label: Gene Count Matrix
    doc: A gene count matrix file
    type: File
    inputBinding:
      prefix: --inputs.input=
      separate: false
  outputFilename:
    type: string
    default: output.json
    inputBinding:
      prefix: --output=
      separate: false
outputs:
  output:
    label: Scored Genes
    doc: ZScores of Genes
    type: File
    outputBinding:
      glob: $(inputs.outputFilename)
